Subject: Re: [NON-TOY PATCH] git bisect: introduce 'fixed' and 'unfixed'

From: Michael Haggerty <[email-masked]>
Date: Tue, 24 Jun 2008 22:06:51 +0200

Johannes Schindelin wrote:
> When you look for a fix instead of a regression, it can be quite hard
> to twist your brain into choosing the correct bisect command between
> 'git bisect bad' and 'git bisect good'.
> 
> So introduce the commands 'git bisect fixed' and 'git bisect unfixed'.

It seems to me that your problem is that git-bisect requires the "good"
revision to be older than the "bad" one.  If this requirement were
removed, would there still be a need for "fixed" vs. "unfixed"?

A bisection search doesn't care what labels are applied to the two
endpoints, as it only looks for transitions between the labels.
Therefore it should be easy to teach git-bisect to locate either kind of
transition, "bad" -> "good" or "good" -> "bad", depending only on where
the user places the original "good" and "bad" tags.

Michael